PATCH
Ticket aktualisieren
/tickets/{ticket_id}Aktualisiert die Eigenschaften eines Tickets.
Parameter
Pfadparameter
| Name | Typ | Beschreibung |
|---|---|---|
ticket_iderforderlich | string | The ticket ID |
Anfragekörper
application/jsonerforderlich
{
title:stringdescription:stringstatus_id:stringStatus/column ID to move to
priority:"low" | "medium" | "high" | "critical"lowmediumhighcritical
assignee_id:stringUser ID of assignee (null to unassign)
due_date:string (date-time)labels:string[]custom_fields:object}
Code-Beispiele
curl -X PATCH "https://api.qamaq.io/api/v1/tickets/{ticket_id}" \
-H "Authorization: Bearer qmq_your_api_key" \
-H "Content-Type: application/json" \
-d '{"key": "value"}'Antworten
200Ticket updated successfully
Response Body
{
id:stringboard_id:stringtitle:stringdescription:stringstatus_id:stringstatus_name:stringpriority:"low" | "medium" | "high" | "critical"lowmediumhighcritical
assignee_id:stringassignee_name:stringdue_date:string (date-time)labels:string[]custom_fields:objectposition:integercreated_at:string (date-time)updated_at:string (date-time)created_by:string}